classification
Title: glossary entry for parameter out-of-date for positional-only parameters
Type: Stage: resolved
Components: Documentation Versions: Python 3.9, Python 3.8
process
Status: closed Resolution: fixed
Dependencies: Superseder:
Assigned To: docs@python Nosy List: docs@python, mark.dickinson, miss-islington, pablogsal
Priority: normal Keywords: patch

Created on 2020-01-06 18:54 by mark.dickinson, last changed 2020-01-12 11:07 by mark.dickinson. This issue is now closed.

Pull Requests
URL Status Linked Edit
PR 17874 merged pablogsal, 2020-01-06 19:53
PR 17902 merged miss-islington, 2020-01-08 13:00
Messages (4)
msg359451 - (view) Author: Mark Dickinson (mark.dickinson) * (Python committer) Date: 2020-01-06 18:54
The glossary entry for parameter[1] says:

> Python has no syntax for defining positional-only parameters.

Since PEP 570 landed in Python 3.8, that's no longer true.


[1] https://docs.python.org/3/glossary.html#term-parameter
msg359591 - (view) Author: miss-islington (miss-islington) Date: 2020-01-08 13:00
New changeset 9a669d58e8cb586fba38c84d5b631cd8a95d0c0c by Miss Islington (bot) (Pablo Galindo) in branch 'master':
bpo-39233: Update positional-only section in the glossary (GH-17874)
https://github.com/python/cpython/commit/9a669d58e8cb586fba38c84d5b631cd8a95d0c0c
msg359840 - (view) Author: miss-islington (miss-islington) Date: 2020-01-12 11:03
New changeset a240f0545653d961c67c1eb1597cb70b67f4e5f1 by Miss Islington (bot) in branch '3.8':
bpo-39233: Update positional-only section in the glossary (GH-17874)
https://github.com/python/cpython/commit/a240f0545653d961c67c1eb1597cb70b67f4e5f1
msg359841 - (view) Author: Mark Dickinson (mark.dickinson) * (Python committer) Date: 2020-01-12 11:07
Pablo: thanks for the quick fix!
History
Date User Action Args
2020-01-12 11:07:48mark.dickinsonsetstatus: open -> closed
resolution: fixed
messages: + msg359841

stage: patch review -> resolved
2020-01-12 11:03:19miss-islingtonsetmessages: + msg359840
2020-01-08 13:00:41miss-islingtonsetpull_requests: + pull_request17314
2020-01-08 13:00:18miss-islingtonsetnosy: + miss-islington
messages: + msg359591
2020-01-06 19:53:09pablogsalsetkeywords: + patch
stage: patch review
pull_requests: + pull_request17290
2020-01-06 19:07:17xtreaksetnosy: + pablogsal
2020-01-06 18:54:50mark.dickinsoncreate